%define upstream_name    PDF-API2
%define upstream_version 2.047

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    PDF-API2 Perl module
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Zlib) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Font::TTF)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Memory::Cycle)
BuildArch:  noarch

Requires:   fonts-ttf-dejavu
%description
This module is 'The Next Generation' of Text::PDF::API which initially 
provided a nice API around the Text::PDF::* modules created by Martin Hosken.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find contrib -type f | xargs \
    perl -pi -e 's|^#!/usr/local/bin/perl|#!/usr/bin/perl|' 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install
rm -f %{buildroot}%{perl_vendorlib}/PDF/API2/Win32.pm
rm -f %{buildroot}%{perl_vendorlib}/PDF/API2/Basic/TTF/Win32.pm
rm -rf %{buildroot}%{perl_vendorlib}/PDF/API2/fonts

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 contrib/* %{buildroot}%{_bindir}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml PATENTS README
%{perl_vendorlib}/PDF
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.47.0-2.mga10
+ Revision: 2223158
- Mageia 10 Mass Rebuild

* Wed May 22 2024 tv <tv> 2.47.0-1.mga10
+ Revision: 2065967
- update to 2.047

* Mon Oct 02 2023 tv <tv> 2.45.0-1.mga10
+ Revision: 1992923
- update to 2.045

* Tue Nov 22 2022 tv <tv> 2.44.0-1.mga9
+ Revision: 1910098
- update to 2.044

* Mon Mar 21 2022 umeabot <umeabot> 2.43.0-2.mga9
+ Revision: 1815783
- Mageia 9 Mass Rebuild

* Mon Dec 13 2021 tv <tv> 2.43.0-1.mga9
+ Revision: 1761837
- update to 2.043

* Mon Sep 20 2021 tv <tv> 2.42.0-1.mga9
+ Revision: 1746063
- update to 2.042

* Fri Jul 30 2021 tv <tv> 2.41.0-1.mga9
+ Revision: 1738192
- update to 2.041

* Mon Apr 19 2021 tv <tv> 2.40.0-1.mga9
+ Revision: 1716873
- update to 2.040

* Sat Mar 06 2021 tv <tv> 2.39.0-1.mga9
+ Revision: 1700188
- update to 2.039

* Tue Sep 01 2020 tv <tv> 2.38.0-1.mga8
+ Revision: 1620583
- update to 2.038

* Fri Feb 21 2020 umeabot <umeabot> 2.37.0-2.mga8
+ Revision: 1547859
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 2.37.0-1.mga8
+ Revision: 1488511
- update to 2.037

* Sat Sep 21 2019 tv <tv> 2.36.0-1.mga8
+ Revision: 1444445
- update to 2.036

* Sat Aug 10 2019 tv <tv> 2.35.0-1.mga8
+ Revision: 1428511
- update to 2.035

* Sun Jun 30 2019 tv <tv> 2.34.0-1.mga8
+ Revision: 1416435
- update to 2.034

* Thu Sep 20 2018 umeabot <umeabot> 2.33.0-3.mga7
+ Revision: 1285460
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2.33.0-2.mga7
+ Revision: 1166143
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 2.33.0-1.mga7
+ Revision: 1159478
- update to 2.033

* Sun Jun 19 2016 pterjan <pterjan> 2.27.0-2.mga6
+ Revision: 1031946
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 2.27.0-1.mga6
+ Revision: 989835
- update to 2.027

* Thu Feb 25 2016 shlomif <shlomif> 2.26.0-1.mga6
+ Revision: 978815
- update to 2.026

* Fri Feb 19 2016 umeabot <umeabot> 2.25.0-2.mga6
+ Revision: 970027
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 2.25.0-1.mga6
+ Revision: 884782
- update to 2.025

* Sun Jun 28 2015 sander85 <sander85> 2.23.0-1.mga6
+ Revision: 846540
- update to 2.023

* Sat Oct 18 2014 umeabot <umeabot> 2.22.0-4.mga5
+ Revision: 788010
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 2.22.0-3.mga5
+ Revision: 739610
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.22.0-2.mga5
+ Revision: 685801
- Mageia 5 Mass Rebuild

* Mon Jul 07 2014 sander85 <sander85> 2.22.0-1.mga5
+ Revision: 650396
- update to 2.022

* Mon Feb 24 2014 jquelin <jquelin> 2.21.0-1.mga5
+ Revision: 596368
- update to 2.021

* Sat Oct 19 2013 umeabot <umeabot> 2.20.0-2.mga4
+ Revision: 527192
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.20.0-1.mga4
+ Revision: 439716
- update to 2.020

* Sun Jan 13 2013 umeabot <umeabot> 2.19.0-2.mga3
+ Revision: 371193
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 13 2011 jquelin <jquelin> 2.19.0-1.mga1
+ Revision: 70505
- update to 2.019

* Sat Feb 26 2011 jquelin <jquelin> 2.18.0-1.mga1
+ Revision: 60384
- update to 2.018

* Wed Feb 16 2011 jquelin <jquelin> 2.16.0-1.mga1
+ Revision: 52676
- update to 2.016

* Sun Jan 23 2011 jquelin <jquelin> 0.730.0-3.mga1
+ Revision: 34066
- mageia rebuild
- imported package perl-PDF-API2


* Thu Nov 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.730.0-3mdv2011.0
+ Revision: 596118
- fix pdf-merge output (bug #61563)
- install contrib programs in binary directory, not at examples

* Sat Nov 06 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.730.0-2mdv2011.0
+ Revision: 594249
- fix the permissions of the docs

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.730.0-1mdv2011.0
+ Revision: 404288
- rebuild using %%perl_convert_version

* Thu May 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.73-1mdv2010.0
+ Revision: 373005
- new version

* Sun Nov 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.72.003-1mdv2009.1
+ Revision: 305981
- update to new version 0.72.003

* Tue Aug 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.71.001-1mdv2009.0
+ Revision: 271034
- update to new version 0.71.001

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.69-3mdv2009.0
+ Revision: 268669
- rebuild early 2009.0 package (before pixel changes)

* Sat May 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-2mdv2009.0
+ Revision: 208454
- don't ship dejavu fonts, juste requires them

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-1mdv2008.1
+ Revision: 156681
- fix build

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 0.68-1mdv2008.1
+ Revision: 109366
- update to new version 0.68

* Sun Nov 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.66-1mdv2008.1
+ Revision: 105897
- update to new version 0.66

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.65-1mdv2008.1
+ Revision: 97558
- update to new version 0.65

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.63-1mdv2008.0
+ Revision: 75230
- update to new version 0.63

* Wed Aug 15 2007 Funda Wang <fwang@mandriva.org> 0.62-2mdv2008.0
+ Revision: 63666
- remove Win32 files

* Wed Aug 08 2007 Funda Wang <fwang@mandriva.org> 0.62-1mdv2008.0
+ Revision: 60470
- fix doc files
- New version 0.62

* Thu May 10 2007 Olivier Thauvin <nanardon@mandriva.org> 0.61-1mdv2008.0
+ Revision: 25829
- 0.61

* Thu May 03 2007 Olivier Thauvin <nanardon@mandriva.org> 0.60-1mdv2008.0
+ Revision: 22085
- 0.60


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2007.0
- New version 0.55

* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.53-1mdv2007.0
- New version 0.53

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.52-1mdv2007.0
- New version 0.52

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.51-1mdk
- New release 0.51
- drop patch, a command-line switch is easier to maintain

* Tue Oct 04 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.46.003-1mdk
- New release 0.46.003

* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.46.002-2mdk
- buildrequires fix

* Fri Sep 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.46.002-1mdk
- New release 0.46.002

* Wed Sep 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.46.001-1mdk
- New release 0.46.001

* Fri Sep 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.46-1mdk
- new version
- rpmbuildupdate aware
- spec cleanup
- fix directory ownership
- enable tests
- better url
- fix doc files list
- force man page generation
- fix some perms and encoding

* Mon Mar 01 2004 Michael Scherer <misc@mandrake.org> 0.3r77-2mdk 
- remove useless Requires on win32

* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3r77-1mdk
- 0.3r77

